#Guidelines for contributing

We would love to have more contributors like you to extend and evolve the project. We don't want to make this process too formal, but there're few rules that make it easier for you and us:

* Your pull requests **must** be mergeable automatically. Please, make sure you update your fork before writing a code (to see current state of the project and to have less conflicts later) and before creating pull request.
* If you want to help us implement some feature that already described in Issue Tracker, make sure that no one is assigned on it yet and, please, write about it in a comment.
* Create a branch for your change from *dev* branch and give it some descriptive name.
* While writing new features or fixing issues, please, follow our [code style guidelines](./Documents/CodingConventions.md). It will help to maintain readability of code for other contributors.
* All contribution **must** be licensed using [BSD v3 license][http://opensource.org/licenses/BSD-3-Clause].
* You **must** create your pull request to *dev* branch, not to *master*. We use this branch for development and move changes to *master* only for releases of new versions.
